OVH Community, votre nouvel espace communautaire.

Script installation phpmyadmin depuis virtualadmin obsolète ?


janus57
19/07/2015, 21h46
Bonjour,

Sur R3 par IPserveur/~domaine on accédait au répertoire du site. C'est pas le cas sur Debian ?
par défaut c'est désactivé pour des raisons de sécurité.

Ce qui m'inquiète c'est que je n'ai pas accès à Phpmyadmin par : IPserveur/phpmyadmin
A ce stade de l'installation je devrais pouvoir ouvrir l'interface graphique mais là j'ai No found
vous avez suiviez le tuto ?

Cordialement, janus57

eltonito
19/07/2015, 12h34
Tout va bien tout va bien c'est vite dit ça...

J'assimile pas la gymnastique !

J'ai installé nom de domaine et base de donnée.
Le nom de domaine ne fonctionne pas. OK : J'ai pas libéré les dns de l'ancien serveur
Sur R3 par IPserveur/~domaine on accédait au répertoire du site. C'est pas le cas sur Debian ?
Idem lorsque je vais sur Service/apercu du site j'ai toujours le forbiden

Ce qui m'inquiète c'est que je n'ai pas accès à Phpmyadmin par : IPserveur/phpmyadmin
A ce stade de l'installation je devrais pouvoir ouvrir l'interface graphique mais là j'ai No found
Idem avec nomdeserveur/phpmyadmin

Il y a qq chose que je n'ai pas fait, et je tourne, tourne en rond


Merci de vos lumières,

SIP-Online
16/07/2015, 21h40
C'est exactement ça, il y a aucune différence, la commande mysql et mysqldump sont toujours présentes.

Je préfère MariaDB car on retrouve cet esprit communautaire (bugs/roadmap), Les Benchmarks montrent bien les performances de MariaDB ! http://blog.mariadb.org/mariadb-5-3-...zer-benchmark/
Prend le temps de lire cet article, tu seras rassuré : https://www.lekernelpanique.fr/2013/...fork-de-mysql/
Je t'ai mis le dépôt officiel de MariaDB, cela te permettra de le mettre à jour avec la toute dernière version.

À l'heure actuelle, Virtualmin GPL est en version 4.17, donc tout va bien.

Sylvain

janus57
16/07/2015, 11h51
Bonjour,

Me reste plus qu'à me documenter sur ce MariaDB dont je n'ai jamais entendu parler.
ce sont les dev's originaux de MySQL qui font MariaDB (si je dit pas de connerie) et ils ont lancé se projet après le rachat de MySQL par Oracle.

Donc en gros MySQL == MariaDB en terme de fonctionnalité (c'est normalement compatible à 100%), juste que sur certains points MariaDB est plus puissant.

Cordialement, janus57

eltonito
16/07/2015, 11h00
Bonjour,

UN GRAND MERCI Sylvain pour ton intervention. Je pensais être un couche très tard, mais je vois qu'il y a des couches très tôt...

En résumé pas de bol pour moi : Ca fonctionnait le 12, ils font une mise à jour incomplète le 13, et le 14 je suis marron !!!

Me reste plus qu'à me documenter sur ce MariaDB dont je n'ai jamais entendu parler.

Par contre c'est normal que dans les infos système il m'indique toujours une version 4.17 gpl ? Ca se remettra à jour au prochain upgrade ?


Merci encore

SIP-Online
16/07/2015, 02h16
C'était bien un bug de l'installation qui n'a pas mis à jour la liste (Latest) des scripts, j'ai donc fait cette ligne de commande pour que cela puisse être mis à jour, ainsi que les urls de téléchargements :
Code:
perl /etc/webmin/virtual-server/scriptlatest.pl
J'en ai profité pour mettre en surveillance ton RAID qui enverra en cas d'anomalie un mail sur ta boite free.fr, et Fail2Ban pour qui puisse bannir des bots qui tentent de se connecter sur tes boites mails, ou autre services.

Je t'ai mis aussi MariaDB au lieu de MySQL 5.6.

Bonne nuit !
Sylvain

janus57
16/07/2015, 01h13
Bonjour,

virtualmin est normalement très bon comparé à une R3 et surtout beaucoup plus flexible et mieux documenté.

Après au vu du changelog et de sa date cela ne m'étonne pas trop que la MAJ ne soit pas présenté (rien de critique, du simple bugfix et MAJ) ou indiqué dans le panel (ou alors mal indiqué ou au mauvais endroit).

Et d'après la doc (Cf : https://www.virtualmin.com/documentation/upgrading) y a un simple bouton dans le panel ou alors on peu faire la MAJ en SSH qui ceux qui aime bien, il faut juste penser à faire la MAJ une fois que celle-ci est disponible voir tout simplement faire une recherche de MAJ avant de la lancer.

Cordialement, janus57

eltonito
16/07/2015, 00h57
Bonjour,

Je te remercie Sylvain pour ta proposition je t'ai envoyé un mail.

Ma version de Virtualmin n'est effectivement pas à jour. Et sans vous je ne le saurais pas !!!

Aucune proposition d'upgrade dans l'onglet system configuration, et ce malgré une installation toute fraiche.

Et toutes les bonnes infos sont sur le site de Webmin...

Mon souhait est de sortir d'une Release 3 obsolète et laissée à l'abandon, et là qq chose me dit que ce panel n'est peut-être pas le bon choix...



Merci à tous les 2

SIP-Online
15/07/2015, 17h37
Je suis en GPL, je peux si tu le souhaite et gracieusement intervenir sur ton serveur pour résoudre ce problème ?
Tu peux me joindre ici : http://sip-online.fr/6-sip-online/1-...d-menu-60.html

Sylvain

janus57
15/07/2015, 16h40
Bonjour,

Je suis à jour : Virtualmin 4.17 GPL et Sip online doit tout simplement utiliser une version PRO qui elle est en 4.18
non c'est la version GPL et "PRO" en 4.18 (normalement)

Cf : http://www.webmin.com/vchanges.html

La version "PRO" a des scripts en plus de virtualmin qui eux aussi ont été mis à jour.

La liste pro : http://virtualmin.com/documentation/install-scripts
Cf : http://virtualmin.com/compare.html

Et pour la version GPL :
Virtualmin includes the uniquely powerful Webmin MySQL and PostgreSQL modules. Optional phpMyAdmin and phpPgAdmin installation via Install Scripts.
Cordialement, janus57

eltonito
15/07/2015, 16h30
Bonjour,

Suite à réinstallation sur Debian 8.1 avec packages d'origine (sans modifications How-to...) même résultat !

Je suis à jour : Virtualmin 4.17 GPL et Sip online doit tout simplement utiliser une version PRO qui elle est en 4.18

Sip online tu peux confirmer ?

janus57
15/07/2015, 14h58
Bonjour,

version 4.18 ?

Si @SIP-Online n'a pas la même chose c'est parce que lui à son installation à jour surement :
Version 4.18 (14th July 2015)

Updated the phpMyAdmin script installer to version 4.4.11 (and many more scripts in the Pro version).
Added an option for scheduled backups to terminate an existing backup to the same destination, rather than being blocked by it.
Under Webmin versions 1.780 and above, use /var/webmin for logs and data files instead of /etc/webmin.
Fixed a bug in the DKIM setup process on CentOS 7 that could cause messages to be sent with invalid signatures.
Cordialement, janus57

eltonito
15/07/2015, 14h18
Merci à tout les 2

Oui ma version de Virtualmin est à jour.
Pas de proposition d'upgrade dans les infos système. J'ai quand même appliqué apt-get install webmin-virtual-server bind perl python comme conseillé sur le forum de virtualmin.

Il y a quand même qq chose qui m'échappe.
Comment en passant par la même adresse, Sip online et moi, nous n'avons pas la même url au moment d'installer le script Phpmyadmin ?

Techniquement je comprends pas. C'est nos versions Debian qui serait différente ? Et il proposerait en fonction des url différentes ?

Merci

janus57
14/07/2015, 21h28
Bonjour,

pour info http://www.how-to.ovh/script_install_virtualmin.sh récupère bien le script original :
Code:
#!/bin/bash
# script pour une partie de la configuration de virtualmin
# Bernadine ROBERT aka BBR
# http://www.how-to.ovh
# 2014/11/11
#
echo "mise a jour du systeme"
apt-get update && apt-get upgrade -y
echo "recuperation de virtualmin et on rend le fichier executable"
wget software.virtualmin.com/gpl/scripts/install.sh && chmod +x install.sh
echo "on execute le fichier"
./install.sh -y
echo "on installe divers utilitaires : GD, CURL, GeoIP"
apt-get install -y php5-gd php5-curl geoip-bin geoip-database libgeoip-dev libgeoip1 libapache2-mod-geoip php5-geoip

echo "on securise proftpd en decommentant : DefaultRoot"
cd /etc/proftpd
sed -i -e "s/# DefaultRoot/DefaultRoot/g" proftpd.conf

echo "on securise Apache : ServerTokens Prod"
cd /etc/apache2/conf.d
sed -i -e "s/ServerTokens Minimal/ServerTokens Prod/g" security

echo "on decommente la ligne application/x-httpd-php pour que php fonctionne dans les sous-domaines"
cd /etc
sed -i -e "s/#application\/x-httpd-php/application\/x-httpd-php/" mime.types

echo "on securise php : expose_php = Off"
cd /etc/php5/apache2
sed -i -e "s/expose_php = On/expose_php = Off/g" php.ini
cd /etc/php5/cgi/
sed -i -e "s/expose_php = On/expose_php = Off/g" php.ini
echo "on redemarre apache"
service apache2 restart
echo "maintenant vous pouvez reprendre le tuto http://www.how-to.ovh/viewtopic.php?f=2&t=12#p29 a partir de : Post installation"
Par contre vu que les chemins ont changé (à cause des MAJ des package) sous Jessie je ne conseil pas sont utilisation.

@eltonito : virtualmin est bien à jour ?

Cordialement, janus57

SIP-Online
14/07/2015, 20h45
Je récupère le script sur le site officiel et je l'ai installé dernièrement sur un Debian 8 : https://www.virtualmin.com/download.html#gpl
Lien du script officiel : http://software.virtualmin.com/gpl/scripts/install.sh

La version phpMyAdmin de Debian est assez ancienne, Virtualmin t'installera la toute dernière version, ainsi que pour d'autres webapps.

eltonito
14/07/2015, 19h42
Sip-online,

Comment as-tu installé Virtualmin ?

Ma version est la 4.17 installé depuis wget http://www.how-to.ovh/script_install_virtualmin.sh


Merci de ta réponse

janus57
13/07/2015, 23h19
Citation Envoyé par SIP-Online
Après test, l'installation fonctionne bien :
Code:
Upgrading phpMyAdmin to version 4.4.11 ..

    Configuration des paramètres du serveur web PHP ..
    .. déjà fait.

    Downloading https://files.phpmyadmin.net/phpMyAdmin/4.4.11/phpMyAdmin-4.4.11-all-languages.zip (9.51 MB) ..
         Received 15.68 kB (0 %)
         Received 974.68 kB (10 %)
         Received 1.90 MB (20 %)
         Received 2.86 MB (30 %)
         Received 3.81 MB (40 %)
         Received 4.76 MB (50 %)
         Received 5.71 MB (60 %)
         Received 6.66 MB (70 %)
         Received 7.61 MB (80 %)
         Received 8.56 MB (90 %)
         Received 9.51 MB (100 %)
    .. téléchargement terminé.
    phpMyAdmin installation complete. It can be accessed at http://webapps.domain.tld/phpmyadmin/.

.. fait!
Bonjour,

visiblement vous avez pas la même chose que @eltonito :
Failed to install script : Download of http://prdownloads.sourceforge.net/s...phpMyAdmin-4.4 failed : HTTP/1.1 404 Not Found
Que veux tu dire par "utiliser le dépôt Debian ?"
un simple apt-get install phpmyadmin
j'utilise tout le temps ça (mais j'utilise pas virtualmin), la version de phpmyadmin dans le dépôt n'est peut être pas à jour par rapport à la version officiel, mais normalement les patchs de sécurité sont intégré par l'équipe Debian.

Cordialement, janus57

SIP-Online
13/07/2015, 22h47
Après test, l'installation fonctionne bien :
Code:
Upgrading phpMyAdmin to version 4.4.11 ..

    Configuration des paramètres du serveur web PHP ..
    .. déjà fait.

    Downloading https://files.phpmyadmin.net/phpMyAdmin/4.4.11/phpMyAdmin-4.4.11-all-languages.zip (9.51 MB) ..
         Received 15.68 kB (0 %)
         Received 974.68 kB (10 %)
         Received 1.90 MB (20 %)
         Received 2.86 MB (30 %)
         Received 3.81 MB (40 %)
         Received 4.76 MB (50 %)
         Received 5.71 MB (60 %)
         Received 6.66 MB (70 %)
         Received 7.61 MB (80 %)
         Received 8.56 MB (90 %)
         Received 9.51 MB (100 %)
    .. téléchargement terminé.
    phpMyAdmin installation complete. It can be accessed at http://webapps.domain.tld/phpmyadmin/.

.. fait!

eltonito
13/07/2015, 20h51
Bonjour,

Et merci pour ta réponse.

Je penchais pour cette signature car j'ai fait la même installe il y a 2 jours et ça fonctionnait.

Ne connaissant pas la relation entre Virtualmin et Debian je me tate pour un apt-get install phpmyadmin. Je veux partir sur du très propre...

Que veux tu dire par "utiliser le dépôt Debian ?"


Merci

janus57
13/07/2015, 19h09
Bonjour,

c'est plus parce que que phpmyadmin comme pas mal d'autre projet open-source partent de sourceforge à cause de leur politique de merde.

Du coup le plugin/script d'installation de virtualmin n'est certainement pas à jour (rien à voir avec la signature PGP des archives pour check l'intégrité).

2 solutions :
1 - l'installer à la main
2 - utiliser le dépôt Debian

Cordialement, janus57

eltonito
13/07/2015, 18h49
Bonjour à tous,

Newbie sur Debian 8 + virtualmin je suis sur le point de terminer mon installation mais je rencontre un problème.

L'installation du script PhpMyadmin me renvoie l'erreur suivante :

Failed to install script : Download of http://prdownloads.sourceforge.net/s...phpMyAdmin-4.4... failed : HTTP/1.1 404 Not Found

Visiblement cette archive n'existe plus.

Si je comprends (!) les explications sur le site de PhpMyadmin.net, depuis juillet les archives nécessitent une clé pour être installée...


QQ aurait-il des infos sur le sujet ?


Merci